dépendance : aucune

Dans PokemonTypes :
l.46 :
Remplacez :
$data_table_type = []
#                            0     1     2     3     4     5     6     7     8     9    10    11    12    13    14    15    16    17    18
  $data_table_type[ 0 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 1 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   0 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 2 ]=[    1 ,   1 , 0.5 ,   2 ,   1 , 0.5 , 0.5 ,   1 ,   1 ,   2 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 , 0.5 ,   1 , 0.5]
  $data_table_type[ 3 ]=[    1 ,   1 , 0.5 , 0.5 ,   2 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1]
  $data_table_type[ 4 ]=[    1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1]
  $data_table_type[ 5 ]=[    1 ,   1 ,   2 , 0.5 , 0.5 , 0.5 ,   2 ,   1 ,   2 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 6 ]=[    1 ,   1 ,   2 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   2 ,   1 ,   1]
  $data_table_type[ 7 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   2 , 0.5 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   2]
  $data_table_type[ 8 ]=[    1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 , 0.5 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5]
  $data_table_type[ 9 ]=[    1 ,   1 ,   1 ,   2 ,   0 ,   2 ,   2 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 10 ]=[   1 ,   1 ,   1 ,   1 ,   2 , 0.5 ,   2 , 0.5 ,   1 ,   0 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 11 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   1 ,   2 ,   1]
  $data_table_type[ 12 ]=[   1 ,   1 ,   2 ,   1 ,   1 , 0.5 ,   1 , 0.5 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 13 ]=[   1 , 0.5 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   2 , 0.5 ,   2 , 0.5 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   2 ,   1 ,   1]
  $data_table_type[ 14 ]=[   1 ,   0 ,   1 ,   1 ,   1 ,   1 ,   1 ,   0 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   2 ,   1 ,   1 ,   2 , 0.5]
  $data_table_type[ 15 ]=[   1 ,   1 , 0.5 , 0.5 , 0.5 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   2]
  $data_table_type[ 16 ]=[   1 , 0.5 ,   2 ,   1 ,   1 , 0.5 , 0.5 ,   2 ,   0 ,   2 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5]
  $data_table_type[ 17 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   0 ,   2 ,   1 , 0.5 ,   1 ,   1 , 0.5 ,   2]
  $data_table_type[ 18 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   0 ,   2 , 0.5 ,   1]
Par :
$data_table_type = []
#                            0     1     2     3     4     5     6     7     8     9    10    11    12    13    14    15    16    17    18
  $data_table_type[ 0 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 1 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   0 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 2 ]=[    1 ,   1 , 0.5 ,   2 ,   1 , 0.5 , 0.5 ,   1 ,   1 ,   2 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 , 0.5 ,   1 , 0.5]
  $data_table_type[ 3 ]=[    1 ,   1 , 0.5 , 0.5 ,   2 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1]
  $data_table_type[ 4 ]=[    1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1]
  $data_table_type[ 5 ]=[    1 ,   1 ,   2 , 0.5 , 0.5 , 0.5 ,   2 ,   1 ,   2 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 6 ]=[    1 ,   1 ,   2 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   2 ,   1 ,   1]
  $data_table_type[ 7 ]=[    1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   2 , 0.5 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   2]
  $data_table_type[ 8 ]=[    1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 , 0.5 , 0.5 ,   2 ,   1 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5]
  $data_table_type[ 9 ]=[    1 ,   1 ,   1 ,   2 ,   0 ,   2 ,   2 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 10 ]=[   1 ,   1 ,   1 ,   1 ,   2 , 0.5 ,   2 , 0.5 ,   1 ,   0 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 11 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   1 ,   2 ,   1]
  $data_table_type[ 12 ]=[   1 ,   1 ,   2 ,   1 ,   1 , 0.5 ,   1 , 0.5 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1]
  $data_table_type[ 13 ]=[   1 , 0.5 , 0.5 ,   2 ,   1 ,   2 ,   1 ,   2 , 0.5 ,   2 , 0.5 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1]
  $data_table_type[ 14 ]=[   1 ,   0 ,   1 ,   1 ,   1 ,   1 ,   1 ,   0 , 0.5 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   2 ,   1 ,   1 ,   2 ,   1]
  $data_table_type[ 15 ]=[   1 ,   1 , 0.5 , 0.5 , 0.5 , 0.5 ,   2 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   2]
  $data_table_type[ 16 ]=[   1 , 0.5 ,   2 ,   1 ,   1 , 0.5 , 0.5 ,   2 ,   0 ,   2 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5 , 0.5]
  $data_table_type[ 17 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   2 ,   1 ,   1 ,   1 ,   0 ,   2 ,   1 , 0.5 ,   1 ,   1 , 0.5 ,   2]
  $data_table_type[ 18 ]=[   1 ,   1 ,   1 ,   1 ,   1 ,   1 ,   1 , 0.5 ,   2 ,   1 ,   1 ,   1 , 0.5 ,   1 ,   1 ,   0 ,   2 , 0.5 ,   1]